Commit 19c7da60 authored by Adam Knapp's avatar Adam Knapp
Browse files

Update tests according to version 8.0.0


Signed-off-by: Adam Knapp's avatarAdam Knapp <adam.knapp@ericsson.com>
parent 9b6e2dc7
......@@ -27,7 +27,7 @@ with {
// check for the more general /R\d[A-HJ-NS-VX-Z](\d{1,2})?/
/* Test needs to be adjusted for every release !!!!!!! */
extension "requiresTITAN CRL 113 200/7 R2A"; /* This one must just pass, the next one must just fail */
extension "requiresTITAN CRL 113 200/7 R3B01"; //^error: This module needs to be compiled with TITAN version (C[RN]L \d+ \d+\/\d+ )?R\d{1,2}[A-HJ-NS-VX-Z](\d{1,2})? or higher; version (C[RN]L \d+ \d+\/\d+ )?R\d{1,2}[A-HJ-NS-VX-Z](\d{1,2})? detected//
extension "requiresTITAN CRL 113 200/8 R3B01"; //^error: This module needs to be compiled with TITAN version (C[RN]L \d+ \d+\/\d+ )?R\d{1,2}[A-HJ-NS-VX-Z](\d{1,2})? or higher; version (C[RN]L \d+ \d+\/\d+ )?R\d{1,2}[A-HJ-NS-VX-Z](\d{1,2})? detected//
/* The old style RnXnn, without the CRL 113 200 and the suffix, implies major version 1
* Now that Titan is at version 6, the following will always pass:
*/
......@@ -97,7 +97,7 @@ with {
extension "requiresTITAN 77.2.1"; //^error: This module needs to be compiled with TITAN version 77.2.1 or higher; version \d+\.\d+\.\d+ detected//
extension "requiresTITAN 77.22.1"; //^error: This module needs to be compiled with TITAN version 77.22.1 or higher; version \d+\.\d+\.\d+ detected//
extension "requiresTITAN 6.22.1"; /* This one must just pass */
extension "requiresTITAN 7.2.11"; //^error: This module needs to be compiled with TITAN version 7.2.11 or higher; version \d+\.\d+\.\d+ detected//
extension "requiresTITAN 8.0.11"; //^error: This module needs to be compiled with TITAN version 8.0.11 or higher; version \d+\.\d+\.\d+ detected//
extension "requiresTITAN 4.2.11"; /* This one must just pass */
extension "requiresTITAN .2.1"; //^error: at or before token `.': syntax error, unexpected '.', expecting Identifier or Number//
extension "requiresTITAN 77..1"; //^error: at or before token `.': syntax error, unexpected '.', expecting Number//
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment